﻿local mod = RW:Boss("Forgemaster Throngus", "Party - Cataclysm", "Grim Batol")
local L

mod.type = "party"

mod.BossIcon = [[Interface\ICONS\Achievement_Dungeon_GrimBatol]]
mod.SubCatIcon = [[Interface\ICONS\Achievement_Dungeon_GrimBatol]]

---------------------------
-- Variables

-- Dual Blades
local wDual, tDualDur
-- Encumbered
local wEncumbered, tEncumberdDur
-- Personal Phalanx
local wPhalanx, tPhalanxDur
-- Pick Weapon
local wPick, tPickCD

-- Impaling Slam
local mEmpale, tEmpaleDur
-- Mighty Stomp
local wStomp, tStompCD

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(40177)
	self:SetWin()
	
	wDual			= self:CastWarning(74981)
	tDualDur		= self:DurTimer(30, 74981)
	
	wEncumbered		= self:CastWarning(75007)
	tEncumberdDur	= self:DurTimer(30, 75007)
	
	wPhalanx		= self:CastWarning(74908)
	tPhalanxDur		= self:DurTimer(30, 74908)
	
	wPick			= self:CastWarning(75000)
	tPickCD			= self:CDTimer(35, 75000)
	
	---
	mEmpale			= self:TargetMessage(90756)
	tEmpaleDur		= self:DurTargetTimer(5, 90756)
	
	tStompCD		= self:CDTimer(40, 74984)
	wStomp			= self:CastWarning(74984)
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("DualBlades", 74981)
	self:Track("Encumbered", 75007)
	self:Track("Phalanx", 74908)
	self:Track("PickWeapon", 75000)
	self:Track("Empale", 75056, 90756)
	self:Track("Stomp", 74984)
	
	tStompCD:Start(45)
end

function mod:DualBlades(event, args)
	if event == "SPELL_AURA_APPLIED" then
		wDual:Show()
		tDualDur:Start()
	end
end

function mod:Encumbered(event, args)
	if event == "SPELL_AURA_APPLIED" then
		wEncumbered:Show()
		tEncumberdDur:Start()
	end
end

function mod:Phalanx(event, args)
	if event == "SPELL_AURA_APPLIED" then
		wPhalanx:Show()
		tPhalanxDur:Start()
	end
end

function mod:PickWeapon(event, args)
	if event == "SPELL_CAST_START" then
		wPick:Show()
		tPickCD:Start()
	end
end

function mod:Empale(event, args)
	if event == "SPELL_CAST_SUCCESS" then
		tEmpaleDur:Start(args.dName)
		mEmpale:Show(args.dName)
	end
end

function mod:Stomp(event, args)
	if event == "SPELL_CAST_START" then
		wStomp:Show()
		tStompCD:Start()
	end
end
